namespace Wizard;

public class MyPageRefreshTask : BaseTask
{
	public class MyPageRefreshTaskParam : BaseParam
	{
	}

	public MyPageRefreshTask()
	{
		base.type = ApiType.Type.MypageRefresh;
	}

	public void SetParameter()
	{
		MyPageRefreshTaskParam myPageRefreshTaskParam = new MyPageRefreshTaskParam();
		base.Params = myPageRefreshTaskParam;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		Data.Load.data._receiveInviteCount = base.ResponseData["data"]["friend_battle_invite_count"].ToInt();
		Data.MyPageNotifications.data.ShopNotification.SetShopNotification(base.ResponseData);
		Data.MyPageNotifications.data.GatheringMyPageInfo.IsMatchingNotification = !string.IsNullOrEmpty(base.ResponseData["data"]["gathering_notification"]["matching_established_message"].ToString());
		return num;
	}
}
